Package org.eclipse.microprofile.lra.tck

# Class TckInvalidSignaturesTests

java.lang.Object
org.eclipse.microprofile.lra.tck.TckInvalidSignaturesTests

public class TckInvalidSignaturesTests extends Object

TCK that verifies that invalid non-JAX-RS participant method signatures are reported during deployment

Each test deploys an archive containing single invalid participant containing an error in its participant method signature and expects that such deployment is aborted according to the specification.

## Field Summary

Fields
Modifier and Type
Field
Description
`org.eclipse.microprofile.lra.tck.TckInvalidSignaturesTests.DeploymentNameRule`
`deploymentNameRule`

## Constructor Summary

Constructors
Constructor
Description
`TckInvalidSignaturesTests()`

## Method Summary

Modifier and Type
Method
Description
`void`
`after()`
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deployInvalidAfterLRASignatureResource()`
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deployInvalidArgumentTypeParticipant()`
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deployInvalidLRAResource()`
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deployInvalidReturnTypeParticipant()`
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deployTooManyArgsParticipant()`
`void`
`invalidAfterLRASignatureTest()`
Verify that invalid `@AfterLRA` method signature is detected
`void`
`invalidArgumentTypeInParticipantMethodTest()`
Verify that invalid type of argument (int) in participant method is detected
`void`
`invalidLRAResourceWithoutCompensateOrAfterLRATest()`
Verify that invalid LRA resource which does not contain any of @Compensate or @AfterLRA methods is detected
`void`
`invalidReturnTypeInParticipantMethodTest()`
Verify that invalid return type (String) in participant method is detected
`void`
`tooManyArgsInParticipantMethodTest()`
Verify that too many arguments (more than 2) in partcipant method are detected

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### deploymentNameRule

public org.eclipse.microprofile.lra.tck.TckInvalidSignaturesTests.DeploymentNameRule deploymentNameRule

## Constructor Details

### TckInvalidSignaturesTests

public TckInvalidSignaturesTests()

## Method Details

### deployInvalidReturnTypeParticipant

@Deployment(name="nonjaxrs-return-type-deploy", managed=false) public static org.jboss.shrinkwrap.api.spec.WebArchive deployInvalidReturnTypeParticipant()

### deployTooManyArgsParticipant

@Deployment(name="too-many-args-deploy", managed=false) public static org.jboss.shrinkwrap.api.spec.WebArchive deployTooManyArgsParticipant()

### deployInvalidArgumentTypeParticipant

@Deployment(name="nonjaxrs-argument-type-deploy", managed=false) public static org.jboss.shrinkwrap.api.spec.WebArchive deployInvalidArgumentTypeParticipant()

### deployInvalidAfterLRASignatureResource

@Deployment(name="invalid-after-lra-deploy", managed=false) public static org.jboss.shrinkwrap.api.spec.WebArchive deployInvalidAfterLRASignatureResource()

### deployInvalidLRAResource

@Deployment(name="invalid-lra-resource-deploy", managed=false) public static org.jboss.shrinkwrap.api.spec.WebArchive deployInvalidLRAResource()

### after

public void after()

### invalidReturnTypeInParticipantMethodTest

public void invalidReturnTypeInParticipantMethodTest()
Verify that invalid return type (String) in participant method is detected

### tooManyArgsInParticipantMethodTest

public void tooManyArgsInParticipantMethodTest()
Verify that too many arguments (more than 2) in partcipant method are detected

### invalidArgumentTypeInParticipantMethodTest

public void invalidArgumentTypeInParticipantMethodTest()
Verify that invalid type of argument (int) in participant method is detected

### invalidAfterLRASignatureTest

public void invalidAfterLRASignatureTest()
Verify that invalid `@AfterLRA` method signature is detected

### invalidLRAResourceWithoutCompensateOrAfterLRATest

public void invalidLRAResourceWithoutCompensateOrAfterLRATest()
Verify that invalid LRA resource which does not contain any of @Compensate or @AfterLRA methods is detected